Starboard
===

Operator to create and manage automated container image scans for all containers deployed in the cluster, this helps to provide visibility for potential security issues and makes it easy to identify containers and deployments affected by CVEs.

This particular installation utilises a trivy-server setup, that reduces the times to download the vulnerability database, making it API limit friendlier.

Links
---

- [Starboard Docs](https://aquasecurity.github.io/starboard/v0.15.4/)
- [Starboard Helm Chart](https://github.com/aquasecurity/starboard/tree/main/deploy/helm)
- [Starboard Source Code](https://github.com/aquasecurity/starboard/)
- [Starboard Help Forum](https://github.com/aquasecurity/starboard//discussions)
- [Trivy Docs](https://aquasecurity.github.io/trivy/v0.25.4/)
- [Trivy Helm Chart](https://github.com/aquasecurity/trivy/tree/main/helm/trivy)
- [Trivy Source Code](https://github.com/aquasecurity/trivy/)
- [Trivy Help Forum](https://github.com/aquasecurity/trivy/discussions)
