#!/bin/sh

. /etc/os-release

KOS_VERSION="${KOS_VERSION:-${VERSION_ID}.$(date +%Y%m%d).$(date +%H%M)}"
KOS_BUILD_ID="${KOS_BUILD_ID:-$(date +%Y%m%d).$(date +%H%M)}"


cat > /usr/lib/os-release <<EOF
NAME="kOS"
VERSION="${KOS_VERSION}"
ID=kos
ID_LIKE="fedora"
VERSION_ID=${VERSION_ID}
VERSION_CODENAME=""
LOGO=kos-logo-icon
PLATFORM_ID="platform:f37"
PRETTY_NAME="kOS ${KOS_VERSION} (CoreOS)"
ANSI_COLOR="0;38;2;60;110;180"
DEFAULT_HOSTNAME="kOS-node"
HOME_URL="https://git.shivering-isles.com/shivering-isles/infrastructure-gitops"
DOCUMENTATION_URL="https://git.shivering-isles.com/shivering-isles/infrastructure-gitops"
SUPPORT_URL="https://shivering-isles.com/matrix"
BUG_REPORT_URL="https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/issues"
OSTREE_VERSION="${KOS_VERSION}"
BUILD_ID=${KOS_BUILD_ID}
EOF